#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	SDL
Version		:	1.2.15
Release		:	14.4.0.0%{?dist}
Summary		:	Simple DirectMedia Layer
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://www.libsdl.org

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	xorg-libXext

Requires	:	alsa-lib
Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
This is the Simple DirectMedia Layer, a general API that provides low
level access to audio, keyboard, mouse, joystick, 3D hardware via OpenGL,
and 2D framebuffer across multiple platforms.

The current version supports Linux, Windows CE/95/98/ME/XP/Vista, BeOS,
MacOS Classic, Mac OS X, FreeBSD, NetBSD, OpenBSD, BSD/OS, Solaris, IRIX,
and QNX.  The code contains support for Dreamcast, Atari, AIX, OSF/Tru64,
RISC OS, SymbianOS, Nintendo DS, and OS/2, but these are not officially
supported.

SDL is written in C, but works with C++ natively, and has bindings to
several other languages, including Ada, C#, Eiffel, Erlang, Euphoria,
Guile, Haskell, Java, Lisp, Lua, ML, Objective C, Pascal, Perl, PHP,
Pike, Pliant, Python, Ruby, and Smalltalk.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

sed -i								\
  -e "/_XData32/s:register long:register _Xconst long:"		\
  src/video/x11/SDL_x11sym.h

./autogen.sh
./configure							\
        --prefix=%{_prefix}					\
	--includedir=%{_includedir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sysconfdir=%{_sysconfdir}				\
        --bindir=%{_bindir}					\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static

%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

%{__rm} -fr	%{buildroot}%{_libdir}/*.a

#if we have documentation
#%{__mkdir_p} %{buildroot}%{defaultdocdir}/%{name}-%{version}

#%{__cp} -a							\
#	docs/output/html					\
#	%{buildroot}%{defaultdocdir}/%{name}-%{version}

%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/sdl-config
%{_includedir}/%{name}/SDL_*.h
%{_includedir}/%{name}/SDL.h
%{_includedir}/%{name}/*_code.h
%{_libdir}/lib%{name}*.{la,so*}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*.3.gz


#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

